Package oracle.jdbc

## Enum OracleTypeMetaData.ArrayStorage

- java.lang.Object
- - java.lang.Enum<OracleTypeMetaData.ArrayStorage>
  - - oracle.jdbc.OracleTypeMetaData.ArrayStorage

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OracleTypeMetaData.ArrayStorage>`

Enclosing interface:
  OracleTypeMetaData

    public static enum OracleTypeMetaData.ArrayStorage
    extends java.lang.Enum<OracleTypeMetaData.ArrayStorage>

Identifies

### Enum Constant Summary

Enum Constants
`NESTED_TABLE`
`VARRAY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static OracleTypeMetaData.ArrayStorage` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OracleTypeMetaData.ArrayStorage[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`static OracleTypeMetaData.ArrayStorage` `withCode​(int code)`

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VARRAY

    public static final OracleTypeMetaData.ArrayStorage VARRAY

#### NESTED_TABLE

    public static final OracleTypeMetaData.ArrayStorage NESTED_TABLE

### Method Detail

#### values

    public static OracleTypeMetaData.ArrayStorage[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleTypeMetaData.ArrayStorage c : OracleTypeMetaData.ArrayStorage.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleTypeMetaData.ArrayStorage valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### withCode

    public static OracleTypeMetaData.ArrayStorage withCode​(int code)

#### getCode

    public int getCode()